/* ===== Reset ===== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* ===== Variables ===== */
:root {
  --bg: #1e1e1e;
  --panel: #303030;
  --text: #d5d3d3;
  --muted: #9aa0a6;
  /* --accent: #563680; */
  --accent: #4047a5;
  --border: #2a2a2a;
}

/* ===== Base ===== */
body {
  background: var(--bg);
  color: var(--text);
  font-family: "Inter", system-ui, sans-serif;
  line-height: 1.6;
}

.avatar {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 16px;
    border: 1px solid var(--border);
}

.container {
  max-width: 1200px;
  margin: auto;
  padding: 2rem 1.5rem;
}

/* ===== Header ===== */
.header h1 {
  font-size: 2rem;
  font-weight: 600;
  margin-bottom: 2rem;
}

.header span {
  color: var(--accent);
}

/* ===== Layout ===== */
.layout {
  display: grid;
  grid-template-columns: 2.5fr 1fr;
  gap: 2rem;
}

/* ===== Sections ===== */
.block {
  margin-bottom: 2rem;
  padding-bottom: 1.5rem;
  border-bottom: 1px solid var(--border);
}

.block h2 {
  color: var(--accent);
  font-size: 1.8rem;
  margin-bottom: 1rem;
  letter-spacing: 0.03em;
}

.item h3 {
  font-size: 1.4rem;
  margin-bottom: 0.25rem;
}

.meta {
  color: var(--muted);
  font-style: oblique;
  font-size: 1rem;
}

a {
  color: var(--accent);
}

ul {
  margin-top: 0.5rem;
  padding-left: 1.2rem;
}

li {
  font-size: 1.1rem;
  margin-bottom: 0.4rem;
}

/* ===== Projects ===== */
.projects {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  gap: 1rem;
}

.project-card {
  background: var(--panel);
  border: 1px solid var(--border);
  height: 100px;
  display: flex;
  align-items: flex-end;
  padding: 0.75rem;
  font-size: 0.85rem;
  color: var(--muted);
}

/* ===== Sidebar ===== */
.right .block {
  border-bottom: 1px solid var(--border);
}

.contact li {
  list-style: none;
  font-size: 1rem;
}

/* ===== Tags ===== */
.tags {
  list-style: none;
  padding-left: 0;
}

.tags li {
  background: var(--panel);
  border: 1px solid var(--border);
  padding: 0.4rem 0.6rem;
  font-size: .9rem;
  margin-bottom: 0.4rem;
}

/* ===== Responsive ===== */
@media (max-width: 900px) {
  .layout {
    grid-template-columns: 1fr;
  }

  .header h1 {
    font-size: 1.6rem;
  }
}

@media (max-width: 480px) {
  .container {
    padding: 1.5rem 1rem;
  }

  .project-card {
    height: 80px;
  }
}
